Delete several posts
curl --request DELETE \
--url https://{domain}/os/api/{workspace}/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"posts": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"delete_mode": "app_only",
"trash": true
}
'import requests
url = "https://{domain}/os/api/{workspace}/posts"
payload = {
"posts": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"delete_mode": "app_only",
"trash": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
posts: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
delete_mode: 'app_only',
trash: true
})
};
fetch('https://{domain}/os/api/{workspace}/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/os/api/{workspace}/posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'posts' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'delete_mode' => 'app_only',
'trash' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{domain}/os/api/{workspace}/posts"
payload := strings.NewReader("{\n \"posts\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"delete_mode\": \"app_only\",\n \"trash\": true\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://{domain}/os/api/{workspace}/posts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"posts\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"delete_mode\": \"app_only\",\n \"trash\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/os/api/{workspace}/posts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"posts\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"delete_mode\": \"app_only\",\n \"trash\": true\n}"
response = http.request(request)
puts response.read_bodyPosts
Delete several posts
Required permission: publishing:posts:write
DELETE
/
{workspace}
/
posts
Delete several posts
curl --request DELETE \
--url https://{domain}/os/api/{workspace}/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"posts": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"delete_mode": "app_only",
"trash": true
}
'import requests
url = "https://{domain}/os/api/{workspace}/posts"
payload = {
"posts": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"delete_mode": "app_only",
"trash": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
posts: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
delete_mode: 'app_only',
trash: true
})
};
fetch('https://{domain}/os/api/{workspace}/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/os/api/{workspace}/posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'posts' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'delete_mode' => 'app_only',
'trash' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{domain}/os/api/{workspace}/posts"
payload := strings.NewReader("{\n \"posts\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"delete_mode\": \"app_only\",\n \"trash\": true\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://{domain}/os/api/{workspace}/posts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"posts\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"delete_mode\": \"app_only\",\n \"trash\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/os/api/{workspace}/posts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"posts\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"delete_mode\": \"app_only\",\n \"trash\": true\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
bearerAuthapiKeyHeader
A workspace API key: Authorization: Bearer osk_...
Path Parameters
Your workspace UUID. Must match the API key's workspace.
Body
application/json
Response
200
Success